use crate::node::NodeCommand;
use cli_renderer::RenderCommand;
use crate::watcher::WatcherCommand;

#[derive(Clone, Debug)]
pub enum ExecutorCommand {
  NodeResponse(String),
  Echo(Vec<String>),
  Print(String),
  InvalidCommand(String),
  Node(NodeCommand),
  Render(RenderCommand),
  Watcher(WatcherCommand),
  Exit,
}
